<template>
  <onboarding-layout>
    <div class="row q-mt-md">
      <q-header
        unelevated
        class="bg-white text-dark"
        height-hint="100"
        style="z-index: 0"
      >
        <div class="row flex justify-center">
          <div class="col-12 text-center title-headline">
            <p>
              {{
                currentTab !== 6
                  ? "Let's create your Employer profile"
                  : "Let's review your profile"
              }}
            </p>
          </div>
        </div>

        <div v-if="currentTab !== 6" class="row">
          <div class="col-4 q-mt-sm" align="right">
            <p class="text-positive title-headline">{{ progressLabel }}</p>
          </div>
          <div class="col q-pa-md">
            <q-linear-progress
              v-for="size in ['lg']"
              :key="size"
              :size="size"
              :value="progress"
              color="positive"
              rounded
            />
          </div>
          <div class="col-4"></div>
        </div>
      </q-header>

      <q-page-container v-model="currentTab">
        <q-form @submit="nextTab">
          <!-- TAB: COMPANY NAME AND DETAILS -->
          <div v-if="currentTab === 1">
            <div id="form-details">
              <div class="row">
                <div class="col-12">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >COMPANY NAME <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.company_name"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[validations.requiredField]"
                    />
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="col q-mr-lg">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >FIRST NAME <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.first_name"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[validations.requiredField]"
                    />
                  </div>
                </div>

                <div class="col">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >LAST NAME <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.last_name"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[validations.requiredField]"
                    />
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- TAB: OTHER INFORMATION -->
          <div v-if="currentTab === 2">
            <div id="form-details">
              <div class="row" :class="{ column: $q.screen.lt.sm }">
                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.sm }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >INCORPORATION DATE
                      <span class="text-negative">*</span></label
                    >
                    <q-input
                      dense
                      outlined
                      v-model="form.company_incorporation_date"
                      class="q-mt-sm"
                      mask="date"
                      :rules="[validations.requiredField]"
                    >
                      <template v-slot:append>
                        <q-icon
                          name="eva-calendar-outline"
                          class="cursor-pointer"
                        >
                          <q-popup-proxy
                            cover
                            transition-show="scale"
                            transition-hide="scale"
                          >
                            <q-date v-model="form.company_incorporation_date">
                              <div class="row items-center justify-end">
                                <q-btn
                                  v-close-popup
                                  label="Close"
                                  color="primary"
                                  flat
                                />
                              </div>
                            </q-date>
                          </q-popup-proxy>
                        </q-icon>
                      </template>
                    </q-input>
                  </div>
                </div>

                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.sm }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >EMAIL ADDRESS <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.email"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[
                        validations.requiredField,
                        validations.emailFormat,
                      ]"
                    />
                  </div>
                </div>

                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.sm }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >PASSWORD <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.password"
                      :type="isFieldPassword ? 'password' : 'text'"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[validations.requiredField]"
                    >
                      <template v-slot:append>
                        <q-icon
                          :name="
                            isFieldPassword
                              ? 'eva-eye-off-outline'
                              : 'eva-eye-outline'
                          "
                          @click="isFieldPassword = !isFieldPassword"
                        />
                      </template>
                    </q-input>
                  </div>
                </div>

                <div class="col">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >MOBILE NUMBER <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.mobile_number"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[validations.requiredField]"
                      v-on:keyup="formatMobileNumber(form.mobile_number)"
                      placeholder="xxx-xxx-xxxx"
                      maxlength="12"
                    >
                      <template v-slot:prepend>
                        <span class="title-7">(+63)</span>
                      </template>
                    </q-input>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- TAB: ADDRESS -->
          <div v-if="currentTab === 3">
            <div id="form-details">
              <div class="row" :class="{ column: $q.screen.lt.md }">
                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >ADDRESS (ST. NAME & NO.)
                      <span class="text-negative">*</span></label
                    >
                    <q-input
                      v-model="form.street"
                      dense
                      outlined
                      class="q-mt-sm"
                      :rules="[validations.requiredField]"
                    />
                  </div>
                </div>

                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >ADDRESS (BARANGAY)
                      <span class="text-negative">*</span></label
                    >
                    <q-select
                      v-model="form.barangay_id"
                      :options="barangayOptions"
                      use-input
                      hide-selected
                      fill-input
                      input-debounce="0"
                      option-label="name"
                      option-value="id"
                      map-options
                      emit-value
                      dense
                      outlined
                      class="q-mt-sm"
                      @filter="filterBarangayOptions"
                      :rules="[validations.requiredField]"
                    >
                      <template v-slot:no-option>
                        <q-item>
                          <q-item-section class="text-grey-7">
                            No results
                          </q-item-section>
                        </q-item>
                      </template>
                    </q-select>
                  </div>
                </div>

                <div class="col">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >ADDRESS (CITY)
                      <span class="text-negative">*</span></label
                    >
                    <q-select
                      v-model="form.city_id"
                      :options="cityOptions"
                      use-input
                      hide-selected
                      fill-input
                      input-debounce="0"
                      option-label="name"
                      option-value="id"
                      map-options
                      emit-value
                      dense
                      outlined
                      class="q-mt-sm"
                      @filter="filterCityOptions"
                      :rules="[validations.requiredField]"
                    >
                      <template v-slot:no-option>
                        <q-item>
                          <q-item-section class="text-grey-7">
                            No results
                          </q-item-section>
                        </q-item>
                      </template>
                    </q-select>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- TAB: INDUSTRY -->
          <div v-if="currentTab === 4">
            <div id="form-details">
              <div class="row">
                <div class="col-12">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >INDUSTRY <span class="text-negative">*</span></label
                    >
                    <q-select
                      v-model="form.industry_id"
                      :options="industryOptions"
                      use-input
                      hide-selected
                      fill-input
                      input-debounce="0"
                      option-label="name"
                      option-value="id"
                      map-options
                      emit-value
                      dense
                      outlined
                      class="q-mt-sm"
                      @filter="filterIndustryOptions"
                      :rules="[validations.requiredField]"
                    >
                      <template v-slot:no-option>
                        <q-item>
                          <q-item-section class="text-grey-7">
                            No results
                          </q-item-section>
                        </q-item>
                      </template>
                    </q-select>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <!-- TAB: REQUIREMENTS -->
          <div v-if="currentTab === 5">
            <div id="form-details">
              <div class="row q-mt-xl" :class="{ column: $q.screen.lt.md }">
                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >COMPANY PROFILE
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.company_profile"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :class="{ 'q-pb-none': $q.screen.lt.md }"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>

                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >BUSINESS PERMIT FOR CURRENT YEAR
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.business_permit"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :class="{ 'q-pb-none': $q.screen.lt.md }"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>

                <div class="col">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >DTI/SEC REGISTRATION
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.dti_or_sec_registration"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :class="{ 'q-pb-none': $q.screen.lt.md }"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>
              </div>

              <div class="row" :class="{ column: $q.screen.lt.md }">
                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >BIR REGISTRATION
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.bir_registration"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :class="{ 'q-pb-none': $q.screen.lt.md }"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>

                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >JOB ORDER (OVERSEAS) / JOB ADVERTISEMENT (LOCAL)
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.job_order_or_job_advertisement"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :class="{ 'q-pb-none': $q.screen.lt.md }"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>

                <div class="col">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >POEA LICENSE (OVERSEAS)</label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.poea_license"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>
              </div>

              <div class="row flex items-center">
                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >LETTER OF INTENT
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.letter_of_intent"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>

                <div class="col" :class="{ 'q-mr-lg': !$q.screen.lt.md }">
                  <div class="q-py-xs">
                    <label class="text-caption text-weight-bold text-grey-7"
                      >NOTARIZED AFFIDAVIT OF UNDERTAKING
                      <span class="text-negative">*</span></label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="requirementsForm.notarized_affidavit"
                      class="q-mt-sm"
                      max-file-size="5242880"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      @rejected="onRejected"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>

                    <p
                      id="error"
                      class="q-field_messages text-negative q-pa-sm"
                      v-if="isError === true"
                    >
                      {{ errorMessage }}
                    </p>
                  </div>
                </div>

                <div class="col" v-if="!$q.screen.lt.md"></div>
              </div>

              <div class="row flex items-center">
                <div
                  class="col"
                  :class="{ 'q-mr-lg': !$q.screen.lt.md }"
                  v-if="!$q.screen.lt.md"
                ></div>

                <div
                  class="col text-grey-7 q-mt-xs"
                  :class="{ 'q-mx-xs': !$q.screen.lt.md }"
                  style="font-size: 12px"
                >
                  <p class="text-negative text-weight-bold">
                    (IMPORTANT) Notarized Affidavit should state the ff:
                  </p>
                  <div class="row" :class="{ column: $q.screen.lt.md }">
                    <div class="col text-weight-bold">
                      <ol type="A" style="padding-left: 15px; margin-top: -5px">
                        <li>Intent of the Special Recruitment Activity</li>
                        <li>Number of vacancies</li>
                        <li>Vacant positions</li>
                        <li>Specify gender of applicants solicited</li>
                        <li>The names of staff conducting recruitment</li>
                        <li>
                          Stating that the recruitment is not for manpower
                          pooling
                        </li>
                        <li>
                          Stating that no fees shall be collected for the
                          conduct of the recruitment
                        </li>
                        <li>
                          Stating that a terminal report will be submitted
                          within 120 days
                        </li>
                      </ol>
                    </div>
                  </div>
                </div>

                <div class="col" v-if="!$q.screen.lt.md"></div>
              </div>
            </div>
          </div>

          <!-- PREVIEW -->
          <div v-if="currentTab === 6">
            <div id="form-details">
              <div>
                <p class="text-positive title-5 q-mt-xl">Basic Information</p>
                <div class="row q-ml-md">
                  <div class="col-12">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >COMPANY NAME
                        <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.company_name"
                        dense
                        outlined
                        class="q-mt-sm"
                        :rules="[validations.requiredField]"
                      />
                    </div>
                  </div>
                </div>

                <div class="row q-ml-md q-mt-md">
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >FIRST NAME <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.first_name"
                        dense
                        outlined
                        class="q-mt-sm"
                        :rules="[validations.requiredField]"
                      />
                    </div>
                  </div>

                  <div class="col">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >LAST NAME <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.last_name"
                        dense
                        outlined
                        class="q-mt-sm"
                        :rules="[validations.requiredField]"
                      />
                    </div>
                  </div>
                </div>

                <div class="row q-ml-md q-mt-md">
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >INCORPORATION DATE
                        <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.company_incorporation_date"
                        dense
                        outlined
                        class="q-mt-sm"
                        mask="date"
                        :rules="[validations.requiredField]"
                      >
                        <template v-slot:append>
                          <q-icon
                            name="eva-calendar-outline"
                            class="cursor-pointer"
                          >
                            <q-popup-proxy
                              cover
                              transition-show="scale"
                              transition-hide="scale"
                            >
                              <q-date v-model="form.company_incorporation_date">
                                <div class="row items-center justify-end">
                                  <q-btn
                                    v-close-popup
                                    label="Close"
                                    color="primary"
                                    flat
                                  />
                                </div>
                              </q-date>
                            </q-popup-proxy>
                          </q-icon>
                        </template>
                      </q-input>
                    </div>
                  </div>

                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >EMAIL ADDRESS
                        <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.email"
                        dense
                        outlined
                        class="q-mt-sm"
                        :rules="[
                          validations.requiredField,
                          validations.emailFormat,
                        ]"
                      />
                    </div>
                  </div>

                  <div class="col">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >MOBILE NUMBER
                        <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.mobile_number"
                        dense
                        outlined
                        class="q-mt-sm"
                        :rules="[validations.requiredField]"
                        v-on:keyup="formatMobileNumber(form.mobile_number)"
                        placeholder="xxx-xxx-xxxx"
                        maxlength="12"
                      >
                        <template v-slot:prepend>
                          <span class="title-7">(+63)</span>
                        </template>
                      </q-input>
                    </div>
                  </div>
                </div>

                <div class="row q-ml-md q-mt-md">
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >ADDRESS (CITY)
                        <span class="text-negative">*</span></label
                      >
                      <q-select
                        v-model="form.city_id"
                        :options="cityOptions"
                        use-input
                        hide-selected
                        fill-input
                        input-debounce="0"
                        option-label="name"
                        option-value="id"
                        map-options
                        emit-value
                        dense
                        outlined
                        class="q-mt-sm"
                        @filter="filterCityOptions"
                        :rules="[validations.requiredField]"
                      >
                        <template v-slot:no-option>
                          <q-item>
                            <q-item-section class="text-grey-7">
                              No results
                            </q-item-section>
                          </q-item>
                        </template>
                      </q-select>
                    </div>
                  </div>

                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >ADDRESS (BARANGAY)
                        <span class="text-negative">*</span></label
                      >
                      <q-select
                        v-model="form.barangay_id"
                        :options="barangayOptions"
                        use-input
                        hide-selected
                        fill-input
                        input-debounce="0"
                        option-label="name"
                        option-value="id"
                        map-options
                        emit-value
                        dense
                        outlined
                        class="q-mt-sm"
                        @filter="filterBarangayOptions"
                        :rules="[validations.requiredField]"
                      />
                    </div>
                  </div>

                  <div class="col">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >ADDRESS (ST. NAME & NO.)
                        <span class="text-negative">*</span></label
                      >
                      <q-input
                        v-model="form.street"
                        dense
                        outlined
                        class="q-mt-sm"
                        :rules="[validations.requiredField]"
                      />
                    </div>
                  </div>
                </div>

                <div class="row q-ml-md q-mt-md">
                  <div class="col q-mr-lg"></div>
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >INDUSTRY <span class="text-negative">*</span></label
                      >
                      <q-select
                        v-model="form.industry_id"
                        :options="industryOptions"
                        use-input
                        hide-selected
                        fill-input
                        input-debounce="0"
                        option-label="name"
                        option-value="id"
                        map-options
                        emit-value
                        dense
                        outlined
                        class="q-mt-sm"
                        @filter="filterIndustryOptions"
                      >
                        <template v-slot:no-option>
                          <q-item>
                            <q-item-section class="text-grey-7">
                              No results
                            </q-item-section>
                          </q-item>
                        </template>
                      </q-select>
                    </div>
                  </div>
                  <div class="col"></div>
                </div>
              </div>

              <div class="q-mt-xl">
                <p class="text-positive title-5">PESO Requirements</p>
                <div class="row q-ml-md">
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >COMPANY PROFILE
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.company_profile"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.company_profile"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="openFile(requirementsForm.company_profile)"
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(requirementsForm.company_profile)
                          "
                        />
                      </div>
                    </div>
                  </div>

                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >BUSINESS PERMIT FOR CURRENT YEAR
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.business_permit"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.business_permit"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="openFile(requirementsForm.business_permit)"
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(requirementsForm.business_permit)
                          "
                        />
                      </div>
                    </div>
                  </div>

                  <div class="col">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >DTI/SEC REGISTRATION
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.dti_or_sec_registration"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.dti_or_sec_registration"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="
                            openFile(requirementsForm.dti_or_sec_registration)
                          "
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(
                              requirementsForm.dti_or_sec_registration
                            )
                          "
                        />
                      </div>
                    </div>
                  </div>
                </div>

                <div class="row q-ml-md">
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >BIR REGISTRATION
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.bir_registration"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.bir_registration"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="openFile(requirementsForm.bir_registration)"
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(requirementsForm.bir_registration)
                          "
                        />
                      </div>
                    </div>
                  </div>

                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >JOB ORDER (OVERSEAS) / JOB ADVERTISEMENT (LOCAL)
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="
                          requirementsForm.job_order_or_job_advertisement
                        "
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.job_order_or_job_advertisement"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="
                            openFile(
                              requirementsForm.job_order_or_job_advertisement
                            )
                          "
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(
                              requirementsForm.job_order_or_job_advertisement
                            )
                          "
                        />
                      </div>
                    </div>
                  </div>

                  <div class="col">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >POEA LICENSE (OVERSEAS)</label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.poea_license"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.poea_license"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="openFile(requirementsForm.poea_license)"
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="downloadFile(requirementsForm.poea_license)"
                        />
                      </div>
                    </div>
                  </div>
                </div>

                <div class="row q-ml-md">
                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >LETTER OF INTENT
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.letter_of_intent"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.letter_of_intent"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="openFile(requirementsForm.letter_of_intent)"
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(requirementsForm.letter_of_intent)
                          "
                        />
                      </div>
                    </div>
                  </div>

                  <div class="col q-mr-lg">
                    <div class="q-py-xs">
                      <label class="text-caption text-weight-bold text-grey-7"
                        >NOTARIZED AFFIDAVIT OF UNDERTAKING
                        <span class="text-negative">*</span></label
                      >
                      <q-file
                        dense
                        outlined
                        v-model="requirementsForm.notarized_affidavit"
                        class="q-mt-sm"
                        max-file-size="5242880"
                        :rules="[validations.requiredField]"
                        :filter="checkFileType"
                        @rejected="onRejected"
                      >
                        <template v-slot:prepend>
                          <q-icon name="eva-attach-outline" />
                        </template>
                      </q-file>

                      <p
                        id="error"
                        class="q-field_messages text-negative q-pa-sm"
                        v-if="isError === true"
                      >
                        {{ errorMessage }}
                      </p>

                      <div
                        class="col q-px-0 q-py-xs"
                        v-if="requirementsForm.notarized_affidavit"
                      >
                        <q-btn
                          id="view"
                          unelevated
                          text
                          label="VIEW"
                          class="btn-md text-primary"
                          @click="
                            openFile(requirementsForm.notarized_affidavit)
                          "
                        />

                        <span>|</span>

                        <q-btn
                          id="download"
                          unelevated
                          text
                          label="DOWNLOAD"
                          class="btn-md text-primary"
                          @click="
                            downloadFile(requirementsForm.notarized_affidavit)
                          "
                        />
                      </div>
                    </div>
                  </div>

                  <div class="col"></div>
                </div>

                <div class="row flex items-center">
                  <div class="col q-mr-lg"></div>

                  <div
                    class="col text-grey-7 q-mx-xs q-mt-xs"
                    style="font-size: 12px"
                  >
                    <p class="text-negative text-weight-bold">
                      (IMPORTANT) Notarized Affidavit should state the ff:
                    </p>
                    <div class="row">
                      <div class="col text-weight-bold">
                        <ol
                          type="A"
                          style="padding-left: 15px; margin-top: -5px"
                        >
                          <li>Intent of the Special Recruitment Activity</li>
                          <li>Number of vacancies</li>
                          <li>Vacant positions</li>
                          <li>Specify gender of applicants solicited</li>
                          <li>The names of staff conducting recruitment</li>
                          <li>
                            Stating that the recruitment is not for manpower
                            pooling
                          </li>
                          <li>
                            Stating that no fees shall be collected for the
                            conduct of the recruitment
                          </li>
                          <li>
                            Stating that a terminal report will be submitted
                            within 120 days
                          </li>
                        </ol>
                      </div>
                    </div>
                  </div>

                  <div class="col"></div>
                </div>
              </div>
            </div>
          </div>

          <div class="row q-mt-md" v-if="isError === true">
            <div class="col">
              <p
                class="text-negative text-center"
                style="font-weight: 400 !important"
              >
                {{ errorMessage }}
              </p>
            </div>
          </div>

          <div class="q-mt-xl flex justify-center">
            <div class="row">
              <div class="col q-mr-lg" v-if="currentTab !== 1">
                <q-btn
                  id="previous"
                  unelevated
                  @click="previousTab"
                  label="Previous"
                  color="grey"
                  class="btn-xl title-4 text-white rounded-borders-10"
                />
              </div>

              <div class="col">
                <q-btn
                  id="next"
                  unelevated
                  type="submit"
                  color="dark"
                  class="btn-xl title-4 text-white rounded-borders-10"
                  :loading="loading"
                >
                  {{ currentTab === 6 ? "Submit" : "Next" }}
                </q-btn>
              </div>
            </div>
          </div>
        </q-form>
      </q-page-container>
    </div>
  </onboarding-layout>

  <!-- DIALOG: TERMS OF SERVICE & PRIVACY POLICY -->
  <q-dialog
    v-model="showTermsAndPrivacyDialog"
    persistent
    @hide="showTermsAndPrivacyDialog === false"
  >
    <q-card
      flat
      class="q-pa-sm q-mt-lg rounded-borders-10"
      style="max-width: 594px"
    >
      <q-card-section class="row items-center q-pb-none">
        <span class="title-headline text-dark"
          >Terms of Service and Privacy Policy</span
        >
        <q-space />
        <q-btn size="md" icon="eva-close" flat round dense v-close-popup />
      </q-card-section>

      <q-card-section class="scroll" style="max-height: 50vh">
        <span>
          <p><strong>TERMS OF USE</strong></p>
          <p>&nbsp;</p>
          <p>
            By downloading, browsing, accessing or using the Vigan Job Matching
            Portal (&ldquo;Website&rdquo;), you agree to be bound by these Terms
            and Conditions of Use.
          </p>
          <p>
            We reserve the right to amend these terms and conditions at any time
            without prior notice or consent from the users.
          </p>
          <ol start="2">
            <li>GENERAL ISSUES ABOUT THE WEBSITE AND THE SERVICES</li>
          </ol>
          <p>
            2.1 Applicability of terms and conditions: The use of the Website,
            or any of its services, including making any Redemptions are subject
            to these Terms and Conditions of Use.
          </p>
          <p>&nbsp;</p>
          <p>
            2.2 Scope: The Website, the Services and any Redemptions are for
            your non-commercial, personal use only and must not be used for any
            commercial or business purposes.
          </p>
          <p>&nbsp;</p>
          <p>
            2.3 Prevention on use: We reserve the right to prevent, ban, or
            restrict the use of the Website, any of its services, or to prevent
            you from making any Redemptions for violations of any provision of
            these terms of use, for any abusive conduct, or from any other
            reason which cause or may cause damage to owner, developer, or any
            of its users.
          </p>
          <p>&nbsp;</p>
          <p>
            2.4 Equipment and Networks: The provision of the Services and the
            Website does not include the provision of a mobile telephone or
            handheld device or other necessary equipment to access the Website
            or the Services or make any Redemptions. To use the Website or
            Services or to make Redemptions, you will require Internet
            connectivity and appropriate telecommunication links. You
            acknowledge that the terms of agreement with your respective mobile
            network provider ("Mobile Provider") will continue to apply when
            using the Website. This shall be separate and distinct from the
            terms of use of the Website, its services, or any redemptions.
            &nbsp;As a result, any charges that you may incur in accessing the
            network of the Mobile Provider for connection services for the
            duration of the connection while accessing the Website shall be for
            the account of the user.
          </p>
          <p>&nbsp;</p>
          <p>&nbsp;</p>
          <ol start="3">
            <li>YOUR OBLIGATIONS</li>
          </ol>
          <p>
            3.1 Merchant terms: You agree to (and shall) abide by the terms and
            conditions of this Service.
          </p>
          <p>&nbsp;</p>
          <p>
            3.2 Accurate information: You warrant that all information provided
            on registration and contained in your Account is true, complete and
            accurate. Likewise, you hereby warrant that you will promptly inform
            us of any changes to such information by updating the information in
            your Account.
          </p>
          <p>&nbsp;</p>
          <p>
            3.3 Prohibitions in relation to usage of Services or Website:
            Without limitation, you undertake not to use or permit anyone else
            to use the Services or Website --:
          </p>
          <p>&nbsp;</p>
          <p>
            3.3.1 to send or receive any material which is not civil or tasteful
          </p>
          <p>&nbsp;</p>
          <p>
            3.3.2 to send or receive any material which is threatening, grossly
            offensive, of an indecent, obscene or menacing character,
            blasphemous or defamatory of any person, in contempt of court or in
            breach of confidence, copyright, rights of personality, publicity or
            privacy or any other third party rights;
          </p>
          <p>&nbsp;</p>
          <p>
            3.3.3 to send or receive any material which is technically harmful
            (including computer viruses, logic bombs, Trojan horses, worms,
            harmful components, corrupted data or other malicious software or
            harmful data);
          </p>
          <p>&nbsp;</p>
          <p>3.3.4 to cause annoyance, inconvenience or needless anxiety;</p>
          <p>&nbsp;</p>
          <p>
            3.3.5 to intercept or attempt to intercept any communications
            transmitted by way of a telecommunications system;
          </p>
          <p>&nbsp;</p>
          <p>
            3.3.6 for a purpose other than which we have designed them or
            intended them to be used;
          </p>
          <p>&nbsp;</p>
          <p>3.3.7 for any fraudulent purpose;</p>
          <p>&nbsp;</p>
          <p>
            3.3.8 other than in conformance with accepted Internet practices and
            practices of any connected networks;
          </p>
          <p>&nbsp;</p>
          <p>
            3.3.9 in any way which is calculated to incite hatred against any
            ethnic, religious or any other minority or is otherwise calculated
            to adversely affect any individual, group or entity; or
          </p>
          <p>&nbsp;</p>
          <p>
            3.3.10 in such a way as to, or commit any act that would or does,
            impose an unreasonable or disproportionately large load on our
            infrastructure.
          </p>
          <p>&nbsp;</p>
          <p>
            3.4 Prohibitions in relation to usage of Services, Website: Without
            limitation, you further undertake not to or permit anyone else to:-
          </p>
          <p>&nbsp;</p>
          <p>
            3.4.1 attempt to circumvent our security or network including to
            access data not intended for you, log into a server or account you
            are not expressly authorised to access, or probe the security of
            other networks (such as running a port scan);
          </p>
          <p>&nbsp;</p>
          <p>
            3.4.2 execute any form of network monitoring which will intercept
            data not intended for you;
          </p>
          <p>&nbsp;</p>
          <p>3.4.3 extract data from or hack into the Website;</p>
          <p>&nbsp;</p>
          <p>
            3.4.4 use the Services or Website in breach of these Terms and
            Conditions of Use;
          </p>
          <p>&nbsp;</p>
          <p>
            3.4.5 engage in any unlawful activity in connection with the use of
            the Website or the Services; or
          </p>
          <p>&nbsp;</p>
          <p>
            3.4.6 engage in any conduct which, in our exclusive reasonable
            opinion, restricts or inhibits any other customer from properly
            using or enjoying the Website or Services.
          </p>
          <p>&nbsp;</p>
          <ol start="4">
            <li>RULES ABOUT USE OF THE SERVICE AND THE WEBSITE</li>
          </ol>
          <p>
            4.1 We will endeavor to correct any known errors or omissions as
            soon as practicable. However, we do not guarantee that the Services
            or the Website will be free of faults, errors, glitches, or any
            other form of interruption of service. Likewise, we do not accept
            liability for any such faults, errors or omissions.4.2 We do not
            give any warranty that the Services and the Website are free from
            viruses or anything else which may have a harmful effect on any
            technology.
          </p>
          <p>&nbsp;</p>
          <p>
            4.3 We reserve the right to change, modify, substitute, suspend or
            remove without notice any information or Services on the Website.
            Access to the Website and/or the Services may also be restricted to
            allow for repairs, maintenance or the introduction of new facilities
            or services. Such repairs, maintenance, or introductions of new
            facilities or services shall be carried out within reasonable
            dispatch.
          </p>
          <p>
            4.4 We reserve the right to block access to and/or to edit or remove
            any material which in our reasonable opinion may give rise to a
            breach of these Terms and Conditions of Use.
          </p>
          <p>&nbsp;</p>
          <ol start="5">
            <li>
              SUSPENSION AND TERMINATION (Not in effect during the SGV Alumni
              Homecoming event on 20<sup>th</sup>August, 2021 from 5:00 p.m. to
              11:59 p.m.)
            </li>
          </ol>
          <p>
            5.1 If you use (or anyone other than you, with your permission uses)
            the Website, any Services in contravention of these Terms and
            Conditions of Use, we may suspend your use of the Services and/or
            Website.
          </p>
          <p>&nbsp;</p>
          <p>
            5.2 If we suspend the Services or Website, we may refuse to restore
            the Services or Website for your use until we receive an assurance
            from you, in a form we deem acceptable, that there will be no
            further breach of the provisions of these Terms and Conditions of
            Use.
          </p>
          <p>&nbsp;</p>
          <p>
            5.3 Without limitation to anything in Clause 8, we shall be entitled
            immediately or at any time (in whole or in part) to: (a) suspend the
            Services and/or Website; (b) suspend your use of the Services and/or
            Website; and/or (c) suspend the use of the Services and/or Website
            for persons we believe to be connected (in whatever manner) to you,
            if:
          </p>
          <p>&nbsp;</p>
          <p>
            5.3.1 you commit any breach of these Terms and Conditions of Use;
          </p>
          <p>&nbsp;</p>
          <p>
            5.3.2 we suspect, on reasonable grounds, that you have, might or
            will commit a breach of these Terms and Conditions of Use; or
          </p>
          <p>&nbsp;</p>
          <p>
            5.3.3 we suspect, on reasonable grounds, that you may have committed
            or be committing any fraud against us or any person.
          </p>
          <p>&nbsp;</p>
          <p>
            5.4 Our rights under Clause 8 shall not prejudice any other right or
            remedy we may have in respect of any breach or any rights,
            obligations or liabilities accrued prior to termination.
          </p>
          <p>&nbsp;</p>
          <ol start="6">
            <li>DISCLAIMER AND EXCLUSION OF LIABILITY</li>
          </ol>
          <p>
            6.1 The Website, the Services, the information on the Website and
            use of all related facilities are provided on an "as is, as
            available" basis without any warranties whether express or implied.
          </p>
          <p>&nbsp;</p>
          <p>
            6.2 To the fullest extent permitted by applicable law, we disclaim
            all representations and warranties relating to the Website and its
            contents, including in relation to any inaccuracies or omissions in
            the Website, warranties of merchantability, quality, fitness for a
            particular purpose, accuracy, availability, non-infringement or
            implied warranties from course of dealing or usage of trade.
          </p>
          <p>&nbsp;</p>
          <p>
            6.3 We do not warrant that the Website will always be accessible,
            uninterrupted, timely, secure, error free or free from computer
            virus or other invasive or damaging code or that the Website will
            not be affected by any acts of God or other force majeure events,
            including inability to obtain or shortage of necessary materials,
            equipment facilities, power or telecommunications, lack of
            telecommunications equipment or facilities and failure of
            information technology or telecommunications equipment or
            facilities.
          </p>
          <p>&nbsp;</p>
          <p>
            6.4 While we may use reasonable efforts to include accurate and
            up-to-date information on the Website, we make no warranties or
            representations as to its accuracy, timeliness or completeness.
          </p>
          <p>&nbsp;</p>
          <p>
            6.5 We shall not be liable for any acts or omissions of any third
            parties howsoever caused, and for any direct, indirect, incidental,
            special, consequential or punitive damages, howsoever caused,
            resulting from or in connection with the Website and the services
            offered in the Website, your access to, use of or inability to use
            the Website or the services offered in the Website, reliance on or
            downloading from the Website and/or services, or any delays,
            inaccuracies in the information or in its transmission including but
            not limited to damages for loss of business or profits, use, data or
            other intangible, even if we have been advised of the possibility of
            such damages
          </p>
          <p>&nbsp;</p>
          <p>
            6.6 We shall not be liable in contract, tort (including negligence
            or breach of statutory duty) or otherwise howsoever and whatever the
            cause thereof, for any indirect, consequential, collateral, special
            or incidental loss or damage suffered or incurred by you in
            connection with the Website and these Terms and Conditions of Use.
            For the purposes of these Terms and Conditions of Use, indirect or
            consequential loss or damage includes, without limitation, loss of
            revenue, profits, anticipated savings or business, loss of data or
            goodwill, loss of use or value of any equipment including software,
            claims of third parties, and all associated and incidental costs and
            expenses.
          </p>
          <p>&nbsp;</p>
          <p>
            6.7 The above exclusions and limitations apply only to the extent
            permitted by law. None of your statutory rights as a consumer that
            cannot be excluded or limited are affected.
          </p>
          <p>&nbsp;</p>
          <p>
            6.8 Notwithstanding our efforts to ensure that our system is secure,
            you acknowledge that all electronic data transfers are potentially
            susceptible to interception by others. We cannot, and do not,
            warrant that data transfers pursuant to the Website, or electronic
            mail transmitted to and from us, will not be monitored or read by
            others.
          </p>
          <p>&nbsp;</p>
          <ol start="7">
            <li>INDEMNITY</li>
          </ol>
          <p>&nbsp;</p>
          <p>
            You agree to indemnify and keep us indemnified against any claim,
            action, suit or proceeding brought or threatened to be brought
            against us which is caused by or arising out of (a) your use of the
            Services, (b) any other party&rsquo;s use of the Services using your
            user ID, verification PIN and/or any identifier number, and/or (c)
            your breach of any of these Terms and Conditions of Use, and to pay
            us damages, costs and interest in connection with such claim,
            action, suit or proceeding.
          </p>
          <p>&nbsp;</p>
          <ol start="8">
            <li>INTELLECTUAL PROPERTY RIGHTS</li>
          </ol>
          <p>
            8.1 All editorial content, information, photographs, illustrations,
            artwork and other graphic materials, and names, logos and trade
            marks on the Website are protected by copyright laws and/or other
            laws and/or international treaties, and belong to us and/or our
            suppliers, as the case may be. These works, logos, graphics, sounds
            or images may not be copied, reproduced, retransmitted, distributed,
            disseminated, sold, published, broadcasted or circulated whether in
            whole or in part, unless expressly permitted by us and/or our
            suppliers, as the case may be.
          </p>
          <p>&nbsp;</p>
          <p>
            8.2 Nothing contained on the Website should be construed as granting
            by implication, estoppel, or otherwise, any license or right to use
            any trademark displayed on the Website without our written
            permission. Misuse of any trademarks or any other content displayed
            on the Website is prohibited.
          </p>
          <p>&nbsp;</p>
          <p>
            8.3 We will not hesitate to take legal action against any
            unauthorised usage of our trademarks, name or symbols to preserve
            and protect its rights in the matter. All rights not expressly
            granted herein are reserved. Other product and company names
            mentioned herein may also be the trademarks of their respective
            owners.
          </p>
          <p>&nbsp;</p>
          <ol start="9">
            <li>AMENDMENTS</li>
          </ol>
          <p>
            9.1 We may periodically make changes to the contents of the Website,
            including to the descriptions and prices of goods and services
            advertised, at any time and without notice. We assume no liability
            or responsibility for any errors or omissions in the content of the
            Website.
          </p>
          <p>&nbsp;</p>
          <p>
            9.2 We reserve the right to amend these Terms and Conditions of Use
            without notice. The revised Terms and Conditions of Use will be
            posted on the Website and shall take effect from the date of such
            posting. You are advised to review these terms and conditions
            periodically as they are binding upon you.
          </p>
          <p>&nbsp;</p>
          <ol start="10">
            <li>APPLICABLE LAW AND JURISDICTION</li>
          </ol>
          <p>
            10.1 By accessing the Website both you agree that the laws of the
            Philippines, without regard to the conflicts of laws principles
            thereof, will apply to all matters relating to the use of the
            Website.
          </p>
          <p>&nbsp;</p>
          <p>
            10.2 You accept and agree that any action arising from these Terms
            of Use shall be submitted to the exclusive jurisdiction of the
            courts of the Philippines, more particularly the Courts of Vigan
            City.
          </p>
          <p><strong>PRIVACY POLICY</strong></p>
          <p>&nbsp;</p>
          <p>
            This SERVICE is provided by Vigan City Job Matching Portal at cost
            and is intended for use as is
          </p>
          <p>&nbsp;</p>
          <p>
            This page is used to inform visitors regarding our policies with the
            collection, use, and disclosure of Personal Information if anyone
            decided to use our Service.
          </p>
          <p>&nbsp;</p>
          <p>
            If you choose to use our Service, then you agree to the collection
            and use of information in relation to this policy. The Personal
            Information that we collect is used for providing and improving the
            Service. We will not use or share your information with anyone
            except as described in this Privacy Policy.
          </p>
          <p>&nbsp;</p>
          <p>
            Vigan City Job Matching Portal &nbsp;shall process, protect, and
            secure your Personal Data in compliance with Republic Act No. 10173
            or the Data Privacy Act of 2012, its implementing rules and
            regulations and other relevant issuances of the National Privacy
            Commission, and the laws of the Philippines.
          </p>
          <p>&nbsp;</p>
          <p><strong>Information Collection and Use</strong></p>
          <p>
            For a better experience, while using our Service, we may require you
            to provide us with certain personally identifiable information. The
            information that we request will be retained by us and used as
            described in this privacy policy until turnover to CLIENT of all
            work products from the Services.
          </p>
          <p>&nbsp;</p>
          <p>
            We may collect information about the devices you use to access our
            platform, including hardware models, operating systems, OS versions
            and unique device identifiers.
          </p>
          <p>&nbsp;</p>
          <p>
            When you interact with our platform, we collect server logs, which
            may include information like device IP address, access dates and
            times, app features or pages viewed, app crashes and other system
            activity.
          </p>
          <p>&nbsp;</p>
          <p>
            Vigan City Job Matching Portal uses the information it collects to
            personalize, maintain and improve its products and services, to help
            maintain the safety and integrity of its platform by preventing fake
            and fraud accounts, assist you when you contact its customer support
            team, and to investigate or address claims or disputes to your use
            of the Vigan City Job Matching Portal &nbsp;platform, or as
            otherwise allowed by applicable law.
          </p>
          <p>&nbsp;</p>
          <p><strong>Cookies</strong></p>
          <p>
            Cookies are files with a small amount of data that are commonly used
            as anonymous unique identifiers. These are sent to your browser from
            the websites that you visit and are stored on your device's internal
            memory.
          </p>
          <p>&nbsp;</p>
          <p>
            The app may use third party code and libraries that use
            &ldquo;cookies&rdquo; to collect information and improve their
            services, such as authenticating users and remembering user
            preferences and settings. You have the option to either accept or
            refuse these cookies and know when a cookie is being sent to your
            device. If you choose to refuse our cookies, you may not be able to
            use some portions of this Service
          </p>
          <p>&nbsp;</p>
          <p><strong>Service Providers</strong></p>
          <p>
            Vigan City Job Matching Portal may share your information if it is
            required by applicable law, regulation, operating agreement, legal
            process or governmental request, and if we notify you and you
            consent to the sharing.
          </p>
          <p>&nbsp;</p>
          <p><strong>Information Retention and Deletion</strong></p>
          <p>
            Vigan City Job Matching Portal &nbsp;retains your information unless
            you ask us earlier to delete your information or your account.
          </p>
          <p>&nbsp;</p>
          <p>
            Subject to the exceptions described below, Vigan City Job Matching
            Portal deletes your information upon request. Subject to applicable
            law, Vigan City Job Matching Portal &nbsp;may retain information
            after account deletion:
          </p>
          <p>&nbsp;</p>
          <p>
            If there is an unresolved issue relating to your account, such as
            unresolved claim or dispute;
          </p>
          <p>
            If Vigan City Job Matching Portal &nbsp;is required to by applicable
            law;
          </p>
          <p>
            Vigan City Job Matching Portal &nbsp;may also retain certain
            information if necessary for its legitimate business interests, such
            as fraud prevention and enhancing user&rsquo;s safety and security.
          </p>
          <p><strong>Changes to This Privacy Policy</strong></p>
          <p>
            We may update our Privacy Policy from time to time. Thus, you are
            advised to review this page periodically for any changes. We will
            notify you of any changes by posting the new Privacy Policy on this
            page. These changes are effective immediately after they are posted
            on this page.
          </p>
          <p>&nbsp;</p>
          <p><strong>Contact Us</strong></p>
          <p>
            If you have any questions or suggestions about our Privacy Policy,
            do not hesitate to contact us at &nbsp;Vigan City Job Matching
            Portal viganjobmatching@gmail.com
          </p>
          <p>&nbsp;</p>
          <p>&nbsp;</p>
          <p>&nbsp;</p>
        </span>
      </q-card-section>

      <q-card-section class="row items-center q-pb-none">
        <div class="q-my-sm" align="center">
          <q-checkbox
            v-model="isAgree"
            class="text__regular"
            label="
            I agree to Vigan’s Job Matching Portal Terms of Service and Privacy
            Policy."
          />
        </div>
      </q-card-section>

      <q-card-actions class="q-my-sm" align="center">
        <q-btn
          unelevated
          label="Submit"
          class="btn-xl btn--shade-1 title-4 text-white rounded-borders-10"
          :loading="loading"
          :disable="isAgree === false"
          @click="conFirmApplication"
        />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script>
import { LocalStorage } from "quasar";
import { defineComponent, ref, reactive, computed } from "vue";
import { requiredField, emailFormat } from "src/hooks/validations";
import { useReference } from "../store/reference";
import { AuthApi } from "src/hooks/api";
import useAuthHook from "../hooks/authHook";
import useEmployerHook from "../hooks/employerHook";
import useUserAddressHook from "../hooks/userAddressHook";
import OnboardingLayout from "../layouts/OnboardingLayout.vue";

export default defineComponent({
  name: "OnboardingPage",
  components: {
    OnboardingLayout,
  },
  setup() {
    const { doRegisterEmployer, doCheckEmail, doRedirectApplicationStatus } =
      useAuthHook();
    const { doCreateIndustry, doCreateRequirements } = useEmployerHook();
    const { doCreateAddress } = useUserAddressHook();

    const referenceStore = useReference();
    const { getCities, getBarangays, getIndustries } = referenceStore;

    const loading = ref(false);
    const currentTab = ref(1);
    const progress = ref(0.2);
    const isFieldPassword = ref(true);
    const isError = ref(false);
    const errorMessage = ref("");
    const industryOptions = ref(referenceStore.industries);
    const cityOptions = ref(referenceStore.cities);
    const barangayOptions = ref(referenceStore.barangays);
    const USER_ID = ref(null);
    const REQUIREMENT_ID = ref(null);
    const showTermsAndPrivacyDialog = ref(false);
    const isAgree = ref(false);

    const form = reactive({
      company_name: "",
      first_name: "",
      last_name: "",
      company_incorporation_date: "",
      email: "",
      password: "",
      mobile_number: "",
      user_type: null,
      street: null,
      city_id: null,
      barangay_id: null,
      industry_id: null,
    });

    const requirementsForm = reactive({
      id: null,
      company_profile: null,
      company_profile_name: "",
      company_profile_url: null,
      business_permit: null,
      business_permit_name: "",
      business_permit_url: null,
      dti_or_sec_registration: null,
      dti_or_sec_registration_name: "",
      dti_or_sec_registration_url: null,
      bir_registration: null,
      bir_registration_name: "",
      bir_registration_url: null,
      job_order_or_job_advertisement: null,
      job_order_or_job_advertisement_name: "",
      job_order_or_job_advertisement_url: null,
      poea_license: null,
      poea_license_name: "",
      poea_license_url: null,
      letter_of_intent: null,
      letter_of_intent_name: "",
      letter_of_intent_url: null,
      notarized_affidavit: null,
      notarized_affidavit_name: "",
      notarized_affidavit_url: null,
    });

    const formatMobileNumber = (number) => {
      let formattedNumber = number
        .replace(/\D+/g, "")
        .replace(/(\d{3})(\d{3})(\d{3})/, "$1-$2-$3");
      form.mobile_number = formattedNumber;
    };

    const openFile = (url) => {
      var reader = new FileReader();
      reader.readAsArrayBuffer(url);
      reader.onload = function () {
        var type =
          url.type === "application/pdf" ? "application/pdf;base64" : url.type;
        var file = new Blob([reader.result], {
          type: type,
        });
        var fileURL = URL.createObjectURL(file);
        window.open(fileURL);

        // window.open(reader.result);
      };
      reader.onerror = function (error) {
        console.log("Error: ", error);
      };
    };

    const downloadFile = (url) => {
      var reader = new FileReader();
      reader.readAsDataURL(url);
      reader.onload = function () {
        let a = document.createElement("a");
        a.href = reader.result;
        a.download = url.name;
        a.click();
      };
      reader.onerror = function (error) {
        console.log("Error: ", error);
      };
    };

    const previousTab = () => {
      if (currentTab.value > 1) {
        progress.value = progress.value - 0.2;
        currentTab.value--;
      }
    };

    const nextTab = async () => {
      loading.value = true;

      if (currentTab.value != 6) {
        window.scrollTo({ top: 0, behavior: "instant" });
      }

      if (currentTab.value === 1) {
        progress.value = 0.4;
        loading.value = false;
        currentTab.value++;
      } else if (currentTab.value === 2) {
        form.user_type = "employer";
        loading.value = true;
        isError.value = false;

        await AuthApi.checkEmail(form)
          .then((response) => {
            progress.value = 0.6;
            loading.value = false;
            currentTab.value++;
          })
          .catch((error) => {
            isError.value = true;
            errorMessage.value = error?.response?.data?.message.toUpperCase();
            loading.value = false;
          });
      } else if (currentTab.value === 3) {
        progress.value = 0.8;
        loading.value = false;
        currentTab.value++;
      } else if (currentTab.value === 4) {
        progress.value = 1;
        loading.value = false;
        currentTab.value++;
      } else if (currentTab.value === 5) {
        loading.value = false;
        currentTab.value++;
      } else if (currentTab.value === 6) {
        openTermsAndPrivacy();
        if (isAgree.value === true) {
          conFirmApplication();
        }
      }
    };

    const openTermsAndPrivacy = () => {
      isAgree.value = false;
      loading.value = false;
      showTermsAndPrivacyDialog.value = true;
    };

    const conFirmApplication = async () => {
      loading.value = true;
      await doRegisterEmployer(form);

      USER_ID.value = LocalStorage.getItem("auth").id;
      await doCreateAddress(USER_ID.value, form);
      await doCreateIndustry(form);

      const formData = new FormData();

      formData.append("company_profile", requirementsForm.company_profile);
      formData.append("business_permit", requirementsForm.business_permit);
      formData.append(
        "dti_or_sec_registration",
        requirementsForm.dti_or_sec_registration
      );
      formData.append("bir_registration", requirementsForm.bir_registration);
      formData.append(
        "job_order_or_job_advertisement",
        requirementsForm.job_order_or_job_advertisement
      );
      if (requirementsForm.poea_license) {
        formData.append("poea_license", requirementsForm.poea_license);
      }
      formData.append("letter_of_intent", requirementsForm.letter_of_intent);
      formData.append(
        "notarized_affidavit",
        requirementsForm.notarized_affidavit
      );

      await doCreateRequirements(formData);
      setTimeout(() => {
        doRedirectApplicationStatus();
      }, 1000);

      showTermsAndPrivacyDialog.value = false;
      loading.value = false;
    };

    getCities();
    getBarangays();
    getIndustries();

    return {
      currentTab,
      progress,
      progressLabel: computed(() => (progress.value * 100).toFixed(0) + " %"),
      form,
      requirementsForm,
      loading,
      referenceStore,
      isFieldPassword,
      isError,
      errorMessage,
      industryOptions,
      cityOptions,
      barangayOptions,
      USER_ID,
      REQUIREMENT_ID,
      isAgree,
      showTermsAndPrivacyDialog,
      checkFileType(files) {
        return files.filter(
          (file) =>
            file.type === "application/msword" ||
            file.type ===
              "application/vnd.openxmlformats-officedocument.wordprocessingml.document" ||
            file.type === "application/pdf" ||
            file.type === "image/png" ||
            file.type === "image/jpg" ||
            file.type === "image/jpeg"
        );
      },
      onRejected(files) {
        for (let x = 0; x < files.length; x++) {
          const file = files[x];

          if (file.failedPropValidation === "max-file-size") {
            isError.value = true;
            errorMessage.value = "File size should not be greater than 5MB";
          } else if (file.failedPropValidation === "filter") {
            isError.value = true;
            errorMessage.value = "The file type uploaded is not supported";
          } else {
            isError.value = false;
            errorMessage.value = "";
          }
        }
      },
      validations: {
        requiredField,
        emailFormat,
      },
      doRegisterEmployer,
      nextTab,
      previousTab,
      formatMobileNumber,
      filterIndustryOptions(val, update, abort) {
        update(() => {
          const needle = val.toLowerCase();
          industryOptions.value = referenceStore.industries.filter(
            (v) => v.name.toLowerCase().indexOf(needle) > -1
          );
        });
      },
      filterCityOptions(val, update, abort) {
        update(() => {
          const needle = val.toLowerCase();
          cityOptions.value = referenceStore.cities.filter(
            (v) => v.name.toLowerCase().indexOf(needle) > -1
          );
        });
      },
      filterBarangayOptions(val, update, abort) {
        update(() => {
          const needle = val.toLowerCase();
          barangayOptions.value = referenceStore.barangays.filter(
            (v) => v.name.toLowerCase().indexOf(needle) > -1
          );
        });
      },
      openFile,
      downloadFile,
      openTermsAndPrivacy,
      conFirmApplication,
    };
  },
});
</script>

<style lang="scss" scoped>
#form-details {
  // max-width: 1200px !important;
  // width: 100% !important;
  // min-width: 1000px !important;
  min-width: 1150px !important;
}

#error {
  font-size: 11px;
  transition: ease-in 2s;
}

#previous,
#next {
  width: 120px !important;
}
</style>
